Bug 100503 - USB modem not found
USB modem not found
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: 67275 126049 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-07-22 19:23 EDT by John Reiser
Modified: 2014-03-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 23:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/sysconfig/hwconf (3.01 KB, text/plain)
2003-09-24 09:59 EDT, John Reiser
no flags Details
/usr/sbin/kudzu -p -b USB (1.51 KB, text/plain)
2003-09-24 10:00 EDT, John Reiser
no flags Details
cat /proc/bus/usb/devices (1.97 KB, text/plain)
2003-09-24 10:01 EDT, John Reiser
no flags Details
grep -i usb /var/log/messages (1.61 KB, text/plain)
2003-09-24 10:04 EDT, John Reiser
no flags Details
kudzu modem patch (11.01 KB, patch)
2003-10-08 05:10 EDT, Harald Hoyer
no flags Details | Diff

  None (edit)
Description John Reiser 2003-07-22 19:23:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Same as bug 98777, but now occurs in 9.0.93 (severn) with new package versions
redhat-config-network-1.3.1-1 and rhpl-0.108-2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Dell Inspiron 4000 laptop with Zoom 2986L USB modem plugged in and turned on
befor boot.  Kudzu recognizes modem, and Configures it.
2. RedHat > System Settings > Network
3. New > Modem connection

Actual Results:  "No modem was found on your system."

Expected Results:  USB modem found, and device /dev/input/ttyACM0 preselected.

Additional info:
Comment 1 John Reiser 2003-07-23 09:29:54 EDT
If you need a USB modem to reproduce this, then I'll procure one for you, direct
ship from www.pcconnection.com.  Just specify the delivery address and clearance
through your Receiving department.  If you are in the UK (or EU), then please
point me at a similar merchant (order in English via web or phone, 3rd party
delivery address, credit card payment) who can avoid the hassle of international
Comment 2 Harald Hoyer 2003-07-30 07:46:52 EDT
Harald Hoyer
Red Hat GmbH
Hauptstätter Strasse 58
D-70178 Stuttgart, Germany

Comment 3 Nikos Charonitakis 2003-09-24 08:51:19 EDT
i confirm exactly the same case for Intracom S.A Netmod Usb modem (widely used
in Greece because national telephone company provide this with every
installation of isdn line).
This modem works with /dev/input/ttyACM0 device and is recongnized by the system
(i can see it in hwbrowser and in logs).
Also i noticed with latest versions of rhcnetwork that wvdial.conf includes
Init3 = ATM0 command for this modem causing failure because i think ATM0 is not
supported by modem.So an experienced user can delete the entry making things to
work.The same is not true for average user...
Comment 4 Harald Hoyer 2003-09-24 08:57:57 EDT
what about version 1.3.6?
Comment 5 John Reiser 2003-09-24 09:56:23 EDT
Same problem ("no modem was found on your system") with

This is the same physical USB modem, but on a "white box" clone (not the Dell
notebook that also has PCI winmodem).  The "gui boot screen" of severn took
significantly longer than usual (about a minute more?), but there was no
explanation on the message line, and I did not have to interact with kudzu
during boot, and there were no messages on the screen from kudzu during boot. 
Kernel module 'acm' did get loaded automatically, and this did not happen before
booting with the USB modem plugged in and switched on.

I will attach output from "kudzu -p -b USB" [which shows the modem], the
contents of /etc/sysconfig/hwconf [which does _not_ show the modem], and
USB-related snips from /var/log/messages.
Comment 6 John Reiser 2003-09-24 09:59:21 EDT
Created attachment 94680 [details]

Modem does not appear here, even though it is plugged, switched on, and booting
took longer than usual
Comment 7 John Reiser 2003-09-24 10:00:23 EDT
Created attachment 94681 [details]
/usr/sbin/kudzu -p -b USB

MODEM appears here
Comment 8 John Reiser 2003-09-24 10:01:35 EDT
Created attachment 94682 [details]
cat /proc/bus/usb/devices

modem appears here
Comment 9 John Reiser 2003-09-24 10:04:22 EDT
Created attachment 94683 [details]
grep -i usb /var/log/messages

modem detected at boot, acm kernel module loaded
Comment 10 Harald Hoyer 2003-09-24 10:18:09 EDT
a few weeks ago, I sent a patch for kudzu to scan for USB modems and report them
as modems. reassigning to kudzu.
Comment 11 John Reiser 2003-09-24 10:44:54 EDT
kudzu-1.1.20-1.1 was used this morning when running the tests on the "white box"
Comment 12 Bill Nottingham 2003-09-24 13:46:58 EDT
Said patch hasn't been integrated yet, will try and get to it in the next week
or so.
Comment 13 John Reiser 2003-10-07 09:11:33 EDT
Hi Harald,

Please Create a New Attachment containing the patch mentioned in Additional
Comment #10.  Then other members of the Fedora community may be able to help
with integration and testing.  Thank you.
Comment 14 Harald Hoyer 2003-10-08 05:10:46 EDT
Created attachment 95015 [details]
kudzu modem patch

to be discussed
Comment 15 John Reiser 2003-10-08 11:56:55 EDT
Initial success!
The patch applied cleanly to kudzu-1.1.31-1, and rpmbuild succeeded after
installing 'dietlibc' [shouldn't this be a build dependency or build prereq for
kudzu?].  Intalling ./python2.2/_kudzumodule.so as
/usr/lib/python2.2/site-packages/_kudzumodule.so, then running
redhat-config-network, and asking for a New Modem connection: correctly detected
the USB modem, and pre-selected /dev/input/ttyACM0, and the rest of
configuration GUI gave the normal responses and did not complain.  Attempt to
activate the interface gave "failed with error 8", but the phone line was not
connected, so that message may have been cryptic for "no dial tone".

However, no link for /dev/modem was created [" find /dev -name '*odem*' " showed
no files].  Should there be such a link?
Comment 16 Bill Nottingham 2003-10-08 22:47:58 EDT
Can you attach /proc/tty/driver/acm?
Comment 17 John Reiser 2003-10-08 23:54:10 EDT
Sorry, but I don't see any /proc/tty/driver/acm:
# ls -l /proc/tty/driver
total 0
-r--r--r--    1 root     root            0 Oct  8 20:50 rfcomm
-r--r--r--    1 root     root            0 Oct  8 20:50 serial
# cat /proc/tty/driver/serial
serinfo:1.0 driver:5.05c revision:2001-07-08
# cat /proc/tty/driver/rfcomm
#   ## empty file for rfcomm
# cat /proc/tty/driver/acm
cat: /proc/tty/driver/acm: No such file or directory
Comment 18 John Reiser 2003-10-09 00:10:56 EDT
I also replaced /usr/sbin/kudzu itself, using the new kudzu from the build.  
Rebooting with the USB modem plugged in and turned on, the boot pauses for about
30 seconds in Probing for new hardware (I can't see what is going on, even with
rhgb-0.10.2-1), but the modem does not appear in /etc/sysconfig/hwconf. 
However, kernel module acm is loaded (and wasn't before).  minicom works, after
working around _its_ bug with the 3-level pathname /dev/input/ttyACM0 (bug
#98160).  I did get redhat-config-network to dial for an Activate, but it
crashed when I canceled (bug #106637).

My offer in Comment #1 still stands: If you're in the US and would like a USB
modem for testing, then just specify the delivery address and "clearance"
through your Receiving dept.
Comment 19 Bill Nottingham 2003-10-09 01:11:31 EDT
No /proc/tty/driver/acm file? Bah, silly driver. :)
Comment 20 Bill Nottingham 2004-06-29 00:21:21 EDT
*** Bug 126049 has been marked as a duplicate of this bug. ***
Comment 21 Bill Nottingham 2005-09-23 16:13:30 EDT
*** Bug 67275 has been marked as a duplicate of this bug. ***
Comment 22 Bill Nottingham 2008-03-10 23:55:01 EDT
kudzu isn't used for modem probing any more; ergo, this is unlikely to be changed.

Note You need to log in before you can comment on or make changes to this bug.